Loading...
Searching...
No Matches
ranges::actions::action_closure_base Struct Reference
Inheritance diagram for ranges::actions::action_closure_base:

## Friends

template<typename ActionFn , typename Pipeable > requires (is_pipeable_v<Pipeable>)
constexpr auto | operator| (action_closure< ActionFn > act, Pipeable pipe) -> action_closure< composed< Pipeable, ActionFn > >
template<typename Rng , typename ActionFn > requires (!std::is_lvalue_reference<Rng>::value) && range<Rng> && invocable_action_closure<ActionFn, Rng &>
constexpr auto | operator| (Rng &&rng, action_closure< ActionFn > act)
template<typename Rng , typename ActionFn > requires range<Rng>
constexpr auto | operator| (Rng &, action_closure< ActionFn > const &) -> Rng=delete
template<typename Rng , typename ActionFn > requires range<Rng> && invocable<ActionFn, Rng &>
constexpr auto | operator|= (Rng &rng, action_closure< ActionFn > act) -> Rng &